Stock Availability Thresholds (Inventory)
Endpoints to create, update, and read stock availability thresholds.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates a new stock availability threshold configuration.
StockAvailabilityThresholdConfigForCreation
Tenant-unique identifier of this threshold configuration
LOW_STOCK_ARTICLE_ABC123The created stock availability threshold configuration
StockAvailabilityThresholdConfigValidationOutcome
Whether the threshold configuration passed business validation.
The provided threshold configuration failed validation
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/configurations/availability/thresholds HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 352
{
"target": {
"context": [
{
"type": "FACILITY",
"values": [
"facilityRef1"
]
}
]
},
"tenantThresholdId": "LOW_STOCK_ARTICLE_ABC123",
"thresholds": [
{
"levels": [
{
"key": "LOW_STOCK",
"limit": 100,
"sticker": {
"nameLocalized": "{ en_US: 'SomeName' }",
"color": "#19b6b5",
"key": "LGMl2DuvPnfPoSHhYFOm",
"name": "SomeName",
"priority": 100
}
}
],
"thresholdOnValue": "AVAILABLE_FOR_PICKING"
}
]
}{
"result": {
"created": "2026-01-01T00:00:00.000Z",
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"lastModified": "2026-01-01T00:00:00.000Z",
"target": {
"context": [
{
"type": "FACILITY",
"values": [
"facilityRef1"
]
}
]
},
"tenantThresholdId": "LOW_STOCK_ARTICLE_ABC123",
"thresholds": [
{
"levels": [
{
"key": "LOW_STOCK",
"limit": 100,
"sticker": {
"nameLocalized": "{ en_US: 'SomeName' }",
"color": "#19b6b5",
"key": "LGMl2DuvPnfPoSHhYFOm",
"name": "SomeName",
"priority": 100
}
}
],
"thresholdOnValue": "AVAILABLE_FOR_PICKING"
}
],
"version": 1
},
"success": true,
"validations": [
{
"field": "text",
"message": "text"
}
]
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Returns a single stock availability threshold configuration by id.
The stock availability threshold configuration
StockAvailabilityThresholdConfig
Creation date of this stockAvailabilityThresholdConfig
Unique identifier of this stockAvailabilityThresholdConfig
5aa18b4d-45de-4e9e-92db-936288040272Last modification date of this stockAvailabilityThresholdConfig
Tenant-unique identifier of this threshold configuration
LOW_STOCK_ARTICLE_ABC123Version number of this stockAvailabilityThresholdConfig
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/configurations/availability/thresholds/{thresholdId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2026-01-01T00:00:00.000Z",
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"lastModified": "2026-01-01T00:00:00.000Z",
"target": {
"context": [
{
"type": "FACILITY",
"values": [
"facilityRef1"
]
}
]
},
"tenantThresholdId": "LOW_STOCK_ARTICLE_ABC123",
"thresholds": [
{
"levels": [
{
"key": "LOW_STOCK",
"limit": 100,
"sticker": {
"nameLocalized": "{ en_US: 'SomeName' }",
"color": "#19b6b5",
"key": "LGMl2DuvPnfPoSHhYFOm",
"name": "SomeName",
"priority": 100
}
}
],
"thresholdOnValue": "AVAILABLE_FOR_PICKING"
}
],
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Updates an existing stock availability threshold configuration.
StockAvailabilityThresholdConfigForUpdate
Version number of this stockAvailabilityThresholdConfig
1The updated stock availability threshold configuration
StockAvailabilityThresholdConfigValidationOutcome
Whether the threshold configuration passed business validation.
The provided threshold configuration failed validation
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
PUT /api/configurations/availability/thresholds/{thresholdId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 317
{
"target": {
"context": [
{
"type": "FACILITY",
"values": [
"facilityRef1"
]
}
]
},
"thresholds": [
{
"levels": [
{
"key": "LOW_STOCK",
"limit": 100,
"sticker": {
"nameLocalized": "{ en_US: 'SomeName' }",
"color": "#19b6b5",
"key": "LGMl2DuvPnfPoSHhYFOm",
"name": "SomeName",
"priority": 100
}
}
],
"thresholdOnValue": "AVAILABLE_FOR_PICKING"
}
],
"version": 1
}{
"result": {
"created": "2026-01-01T00:00:00.000Z",
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"lastModified": "2026-01-01T00:00:00.000Z",
"target": {
"context": [
{
"type": "FACILITY",
"values": [
"facilityRef1"
]
}
]
},
"tenantThresholdId": "LOW_STOCK_ARTICLE_ABC123",
"thresholds": [
{
"levels": [
{
"key": "LOW_STOCK",
"limit": 100,
"sticker": {
"nameLocalized": "{ en_US: 'SomeName' }",
"color": "#19b6b5",
"key": "LGMl2DuvPnfPoSHhYFOm",
"name": "SomeName",
"priority": 100
}
}
],
"thresholdOnValue": "AVAILABLE_FOR_PICKING"
}
],
"version": 1
},
"success": true,
"validations": [
{
"field": "text",
"message": "text"
}
]
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Deletes a stock availability threshold configuration.
The stock availability threshold configuration was found & deleted.
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
DELETE /api/configurations/availability/thresholds/{thresholdId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for StockAvailabilityThresholdConfig
StockAvailabilityThresholdConfigSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
StockAvailabilityThresholdConfigPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/configurations/availability/thresholds/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 731
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"tenantThresholdId": "MY_THRESHOLD_ID"
}
],
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"tenantThresholdId": "MY_THRESHOLD_ID"
}
],
"tenantThresholdId": "MY_THRESHOLD_ID"
}
],
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"tenantThresholdId": "MY_THRESHOLD_ID"
}
],
"tenantThresholdId": "MY_THRESHOLD_ID"
},
"size": 10,
"sort": [
{
"id": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"stockAvailabilityThresholdConfigs": [
{
"created": "2026-01-01T00:00:00.000Z",
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"lastModified": "2026-01-01T00:00:00.000Z",
"target": {
"context": [
{
"type": "FACILITY",
"values": [
"facilityRef1"
]
}
]
},
"tenantThresholdId": "LOW_STOCK_ARTICLE_ABC123",
"thresholds": [
{
"levels": [
{
"key": "LOW_STOCK",
"limit": 100,
"sticker": {
"nameLocalized": "{ en_US: 'SomeName' }",
"color": "#19b6b5",
"key": "LGMl2DuvPnfPoSHhYFOm",
"name": "SomeName",
"priority": 100
}
}
],
"thresholdOnValue": "AVAILABLE_FOR_PICKING"
}
],
"version": 1
}
],
"total": 1
}Last updated
Was this helpful?

